# Epic events
#
# We are using the same slot of issue events 'project_management' for
# epic events to allow data aggregation.
# More information in: https://gitlab.com/gitlab-org/gitlab/-/issues/322405
- name: g_project_management_epic_created
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

# content change events

- name: project_management_users_unchecking_epic_task
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: project_management_users_checking_epic_task
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: g_project_management_users_updating_epic_titles
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: g_project_management_users_updating_epic_descriptions
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

# epic notes

- name: g_project_management_users_creating_epic_notes
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: g_project_management_users_updating_epic_notes
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: g_project_management_users_destroying_epic_notes
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

# emoji

- name: g_project_management_users_awarding_epic_emoji
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

# start date events

- name: g_project_management_users_setting_epic_start_date_as_fixed
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: g_project_management_users_updating_fixed_epic_start_date
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: g_project_management_users_setting_epic_start_date_as_inherited
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

# due date events

- name: g_project_management_users_setting_epic_due_date_as_fixed
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: g_project_management_users_updating_fixed_epic_due_date
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: g_project_management_users_setting_epic_due_date_as_inherited
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

# relationships

- name: g_project_management_epic_issue_added
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: g_project_management_epic_issue_removed
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: g_project_management_epic_issue_moved_from_project
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: g_project_management_users_updating_epic_parent
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: g_project_management_epic_closed
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: g_project_management_epic_reopened
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: 'g_project_management_issue_promoted_to_epic'
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: g_project_management_users_setting_epic_confidential
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: g_project_management_users_setting_epic_visible
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: g_project_management_epic_users_changing_labels
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity

- name: g_project_management_epic_destroyed
  category: epics_usage
  redis_slot: project_management
  aggregation: daily
  feature_flag: track_epics_activity
